#ifndef __CODESTRUCT_H
#define __CODESTRUCT_H

#include <map>
#include "template.h"
#include "macro.h"
#include "texception.h"

//fordward declarations
class Template;
class Macro;
class TException;

class CodeStruct {
public:
    void                     addTemplate(Template*); 
    Template*                getTemplate(std::string); 
    std::map<std::string,Template>*    getMTemplate();      
    void                     addMacro(Macro*);
    Macro*                   getMacro(std::string);
    std::map<std::string,Macro>*       getMMacro();
 
    void print();               //print all the info to the stdin    
protected:
    std::map<std::string,Template>   mTemplate;
    std::map<std::string,Macro>      mMacro;
private:
};

#endif /* __CODESTRUCT_H */
