#ifndef __FILEADMIN_H
#define __FILEADMIN_H

#include <string>
#include <fstream>
//#include <iostream>
#include "texception.h"

//forward declarations
class TException;

class FileAdmin {
public:
    void setFileName(std::string);
    void setMacroFileName(std::string);
    void open();
    void close();
    void write(std::string,std::string);
protected:
private:
    std::string    fileName;
    std::fstream  *file;
    std::string    macroFileName;
    std::fstream  *macroFile;
    std::streampos top;
    std::string    lines;
    std::string    linesTopC;
    std::string    linesTopL;
    std::string    rules;
    std::string    macros;
};

#endif /* __FILEADM_H */
