#ifndef __LINECONVERTOR_H
#define __LINECONVERTOR_H

#include <string>
#include <stdlib.h>
#include "texception.h"
#include "templatename.h"
#include "segment.h"
#include "crossing.h"
#include "jobsite.h"
#include "hole.h"
#include "ctrelem.h"


//forward declarations
class TException;
class ModelName;
class Segment;
class Crossing;
class Jobsite;
class Hole;
class CtrElem;


class LineConvertor {
public:
    std::string    convertSegment(std::string,Segment*);
    std::string    convertCrossing(std::string,Crossing*);
    std::string    convertJobsite(std::string,Jobsite*);
    std::string    convertHole(std::string,Hole*);
    std::string    convertCtrElem(std::string,CtrElem*);
    std::string    convertRail(std::string,Segment*,Railnet*);
    std::string    convertRailnet(std::string,Railnet*);
    std::string    convertLine(std::string,std::string,std::string);
    std::string    convertForLine(std::string,std::string,int);
protected:
private:
    std::string    getVariable(std::string);
};

#endif /* __LINECONVERTOR_H */
