#include(model3.macros)

[TOP]
components : t2Gen@Generator
components : t2Cons@Consumer
components : t2
link : y-t-hayauto0@t2Gen x-ge-hayauto00@t2
link : y-t-hayauto1@t2Gen x-ge-hayauto10@t2
link : y-co-hayauto03@t2 x-t-hayauto0@t2Cons 
link : y-co-hayauto13@t2 x-t-hayauto1@t2Cons 

[t2]
type : cell
width : 4
height : 2
delay : transport
defaultDelayTime : 1
border : nowrapped
neighbors : t2(1,-1)  t2(1,0)  t2(1,1)
neighbors : t2(0,-1)  t2(0,0)  t2(0,1)
neighbors : t2(-1,-1) t2(-1,0) t2(-1,1)
initialvalue : 0
in : x-ge-hayauto00 
in : x-ge-hayauto10 
out: y-co-hayauto03
out: y-co-hayauto13
link : x-ge-hayauto00 x-ge-hayauto@t2(0,0)
link : x-ge-hayauto10 x-ge-hayauto@t2(1,0)
link : y-co-hayauto@t2(0,3) y-co-hayauto03
link : y-co-hayauto@t2(1,3) y-co-hayauto13
localtransition : t2-segment2-lane0-rule
zone : t2-segment2-cell10-hole-rule {(1,0)}
zone : t2-segment2-cell11-hole-rule {(1,1)}
zone : t2-segment2-cell12-hole-rule {(1,2)}
zone : t2-segment2-cell13-hole-rule {(1,3)}
zone : t2-segment2-cell02-hole-rule {(0,2)}
zone : t2-segment2-cell00-control-rule {(0,0)}
zone : t2-segment2-cell10-control-rule {(1,0)}
zone : t2-segment2-cell00-rule {(0,0)}
zone : t2-segment2-cell10-rule {(1,0)}
zone : t2-segment2-cell0n-rule {(0,3)}
zone : t2-segment2-cell1n-rule {(1,3)}
zone : t2-segment2-lane0-rule  {(0,1)..(0,3-1)}
zone : t2-segment2-lane1-rule  {(1,1)..(1,3-1)}


[t2Gen]
lanes=2


[t2Cons]
lanes=2

[t2-segment2-cell10-hole-rule]
#Macro(t2-Hole10-Llega_Desde_Cruce)
#Macro(t2-Hole10-Sale_Hacia_Adelante)
#Macro(t2-Hole10-Sale_Hacia_CarrilIz)
#Macro(t2-Hole10-Default)

[t2-segment2-cell11-hole-rule]
#Macro(t2-Hole11-Llega_Desde_Atras)
#Macro(t2-Hole11-Llega_Desde_CarrilIz_ConPrioridad)
#Macro(t2-Hole11-Sale_Hacia_Adelante)
#Macro(t2-Hole11-Sale_Hacia_CarrilIz)
#Macro(t2-Hole11-Default)

[t2-segment2-cell12-hole-rule]
#Macro(t2-Hole12-Llega_Desde_Atras)
#Macro(t2-Hole12-Llega_Desde_CarrilIz_ConPrioridad)
#Macro(t2-Hole12-Sale_Hacia_Adelante)
#Macro(t2-Hole12-Sale_Hacia_CarrilIz)
#Macro(t2-Hole12-Default)

[t2-segment2-cell13-hole-rule]
#Macro(t2-Hole13-Llega_Desde_Atras)
#Macro(t2-Hole13-Llega_Desde_CarrilIz_ConPrioridad)
#Macro(t2-Hole13-Sale_Hacia_Cruce)
#Macro(t2-Hole13-Default)

[t2-segment2-cell02-hole-rule]
#Macro(t2-Hole02-Llega_Desde_Atras)
#Macro(t2-Hole02-Llega_Desde_CarrilDer)
#Macro(t2-Hole02-Sale_Hacia_Adelante)
#Macro(t2-Hole02-Sale_Hacia_CarrilDer_ConPrioridad)
#Macro(t2-Hole02-Default)

[t2-segment2-cell00-control-rule]
#Macro(t2-Control0-Llega_Desde_Cruce)
#Macro(t2-Control0-Sale_Hacia_Adelante)
#Macro(t2-Control0-Sale_Hacia_CarrilDer_ConPrioridad)
#Macro(t2-Control0-Default)

[t2-segment2-cell10-control-rule]
#Macro(t2-Control0-Llega_Desde_Cruce)
#Macro(t2-Control0-Sale_Hacia_Adelante)
#Macro(t2-Control0-Sale_Hacia_CarrilIz)
#Macro(t2-Control0-Default)

[t2-segment2-cell00-rule]
#Macro(t2-Llega_Desde_Generador)
#Macro(t2-Sale_Hacia_Adelante)
#Macro(t2-Sale_Hacia_CarrilDer_ConPrioridad)
#Macro(t2-Default)

[t2-segment2-cell10-rule]
#Macro(t2-Llega_Desde_Generador)
#Macro(t2-Sale_Hacia_Adelante)
#Macro(t2-Sale_Hacia_CarrilIz)
#Macro(t2-Default)

[t2-segment2-cell0n-rule]
#Macro(t2-Llega_Desde_Atras)
#Macro(t2-Llega_Desde_CarrilDer)
#Macro(t2-Sale_Hacia_Consumidor)
#Macro(t2-Default)

[t2-segment2-cell1n-rule]
#Macro(t2-Llega_Desde_Atras)
#Macro(t2-Llega_Desde_CarrilIz_ConPrioridad)
#Macro(t2-Sale_Hacia_Consumidor)
#Macro(t2-Default)

[t2-segment2-lane0-rule]
#Macro(t2-Llega_Desde_Atras)
#Macro(t2-Llega_Desde_CarrilDer)
#Macro(t2-Sale_Hacia_Adelante)
#Macro(t2-Sale_Hacia_CarrilDer_ConPrioridad)
#Macro(t2-Default)

[t2-segment2-lane1-rule]
#Macro(t2-Llega_Desde_Atras)
#Macro(t2-Llega_Desde_CarrilIz_ConPrioridad)
#Macro(t2-Sale_Hacia_Adelante)
#Macro(t2-Sale_Hacia_CarrilIz)
#Macro(t2-Default)

