#ifndef __CODESTRUCT_H
#define __CODESTRUCT_H

#include <map.h>
#include "template.h"
#include "macro.h"
#include "texception.h"

//fordward declarations
class Template;
class Macro;
class TException;


class CodeStruct
{
public:
  void addTemplate (Template *);
  Template *getTemplate (string);
  map < string, Template > *getMTemplate ();
  void addMacro (Macro *);
  Macro *getMacro (string);
  map < string, Macro > *getMMacro ();
  void print ();	                              //print all the info to the stdin    
protected:
  map < string, Template > mTemplate;
  map < string, Macro > mMacro;
private:
};


#endif	/* __CODESTRUCT_H */
