#ifndef __JOBSITE_H
#define __JOBSITE_H

#include <istream.h>
#include <string>
#include "segment.h"

//forward declarations
class Segment;


class Jobsite
{
public:
  void setLane (int);
  void setDistance (int);
  void setQlane (int);
  void setDelay (int);
  int getLane ();
  int getDistance ();
  int getQlane ();
  string getCells ();
  int getDelay ();
  void setSegment (Segment *);
  Segment *getSegment ();
  void print ();                      //print the point info to the stdin
protected:
  int lane;
  int distance;
  int qlane;
  int delay;
  Segment *segment;
private:
};


#endif	/* __JOBSITE_H */
