#include "macro.h"

string Macro::getName()          {return name;}
void Macro::setName(string c)    {name = c;}
void Macro::addLine(string c)    {lines.push_back(c);}
list<string>* Macro::getLines()  {return &lines;}

bool Macro::getIsDependent()   {
list<string>::iterator   iter;
bool isDependent=false;
if (this->lines.size() != 0)
  for (iter = this->lines.begin(); iter != this->lines.end()&&!isDependent; iter++)
       isDependent= ((*iter).find("%")!= string::npos);
return isDependent;
}

void Macro::setWasUsed(bool b){wasUsed = b;}
bool Macro::getWasUsed(){return wasUsed;}

void Macro::print(){
list<string>::iterator   iter;
cout << "   Macro " << this->name <<"\n";
if (this->lines.size() != 0)
  for (iter = this->lines.begin(); iter != this->lines.end(); iter++)
         cout << "      " << *iter ;
}
